Assign Member to Role exclusively
Assign Member to Role exclusively
POST
https://api.ocamba.com/v2/adex/roles/{id}/members/{mid}/assign-exclusively
Assigns an Application Member to this Role and removes the member from every other Role. The Application Member row is unchanged. Idempotent when the member is already assigned only to this role.
Note
Unknown role id or member id returns 400. Already on this role only still returns 204.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersResponse schemas
•
204
No Content
›
400
application/json
›
500
application/json
curl -X POST \
"https://api.ocamba.com/v2/adex/roles/{id}/members/{mid}/assign-exclusively" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/roles/{id}/members/{mid}/assign-exclusively';
const options = {
method: 'POST',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/roles/{id}/members/{mid}/assign-exclusively");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
204 No Content
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses